<?php get_header('standard'); ?>

<div id="page-wrap" class="container">
	<div id="content">
		<div class="container">
			<?php if (have_posts()) : ?>
			<div class="span12">
				<div class="title-block mb40"><!-- start title block -->
					<span class="subtitle"><?php echo $wp_query->found_posts.' '.esc_html__('search results for:', 'wythe'); ?></span>
					<h2><?php echo esc_attr( get_search_query() ); ?></h2>
				</div>
				<div class="blog-grid cols-4">
					<?php while (have_posts()) : the_post(); 
						
						if(get_post_type() == 'portfolio') {
							get_template_part('templates/portfolio/content');
						} else {
							get_template_part('templates/posts/content', get_post_format());
						}
						
					endwhile;
					
					echo '<div class="clearfix"></div>';
					
					get_template_part( 'framework/inc/nav' ); 
					?>
				</div>
					
				<?php else : ?>
					
					<div class="span5">
						<div class="info-block">
							<div class="title-block"><!-- start title block -->
								<span class="subtitle"><?php esc_html_e('Search results', 'wythe') ?></span>
								<h2><?php esc_html_e('Not Found', 'wythe') ?></h2>
							</div>
							<div class="text">
								<?php esc_html_e('Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'wythe'); ?>
							</div>
						</div>
						<?php get_search_form(); ?>
					</div>
					
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>

<?php get_footer(); ?>
