<?php
if ( ! defined( 'ABSPATH' ) ) exit;
// This file is pretty much a boilerplate WordPress plugin.
// It does very little except including wp-widget.php
global $revolutionslider;
$revolutionslider = array();
$revAliases = '';
if(class_exists('RevSlider')){
    $slider = new RevSlider();
	$arrSliders = $slider->getArrSliders();
	foreach($arrSliders as $revSlider) { 
		$revAliases .= $revSlider->getAlias().', ';
		$revolutionslider[$revSlider->getAlias()] = $revSlider->getTitle();
	}
}
class ElementorCustomElement {
	private static $instance = null;
	public static function get_instance() {
		if ( ! self::$instance )
			self::$instance = new self;
		return self::$instance;
	}
	public function init(){
		// Add New Elementor Categories
        add_action( 'elementor/init', array( $this, 'add_elementor_category' ) );
		add_action( 'elementor/widgets/widgets_registered', array( $this, 'widgets_registered' ) );
	}
	public function add_elementor_category()
    {
        Elementor\Plugin::instance()->elements_manager->add_category( 'asw-elements', array(
            'title' => __( 'Wythe Elements', 'wythe-elements' ),
        ), 1 );
    }
	public function widgets_registered() {
		// We check if the Elementor plugin has been installed / activated.
		if ( defined( 'ELEMENTOR_PATH' ) && class_exists( 'Elementor\Widget_Base' ) ) {
			// get our own widgets up and running:
			// copied from widgets-manager.php

			if ( class_exists( 'Elementor\Plugin' ) ) {

				if ( is_callable( 'Elementor\Plugin', 'instance' ) ) {

					$elementor = Elementor\Plugin::instance();
					if ( isset( $elementor->widgets_manager ) ) {
						if ( method_exists( $elementor->widgets_manager, 'register_widget_type' ) ) {
							$asw_widgets = array(
							'slider',
							'blog-posts',
							'title',
							'info-block',
							'service-block',
							'testimonials',
							'clients',
							'portfolio',
							'cta-block',
							'team',
							'socials',
							'contact-block',
							'dropcap-intro',
							'fonts-block',
							'carousel',
							'palette-block',
							'project-info-list',
							'video'
							);
							foreach ( $asw_widgets as $widget_filename ) {
								$template_file = plugin_dir_path(__FILE__)."widgets/".$widget_filename.".php";
								if ( $template_file && is_readable( $template_file ) ) {
									$class_name = str_replace( '-', '_', $widget_filename );
									$class_name = 'Elementor\Widget_ASW_' . $class_name;
									include $template_file;
									Elementor\Plugin::instance()->widgets_manager->register_widget_type( new $class_name() );
								}
							}
							
						}
					}
				}
			}
		}
	}
}
ElementorCustomElement::get_instance()->init();
?>