<div id="comments">
	<?php
		if ( post_password_required() ) { ?>
			<?php esc_html_e('This post is password protected. Enter the password to view comments.', 'wythe'); ?>
		<?php
			return;
		}
	?>
	<?php if ( have_comments() ) : ?>
		<h2 id="comments-title"><?php comments_number(esc_html__('No Comments', 'wythe'), esc_html__('Comments', 'wythe'), esc_html__('Comments', 'wythe') );?></h2>
	
		<div class="navigation">
			<div class="next-posts"><?php previous_comments_link() ?></div>
			<div class="prev-posts"><?php next_comments_link() ?></div>
		</div>
	
		<ol class="unstyled commentlist clearfix">
			 <?php wp_list_comments(array('type'=> 'comment', 'callback' => 'wythe_comment' )); ?>
		</ol>
		<?php //get ping and trackbacks
			global $post;
			$ping_entries = get_comments(array( 'type'=> 'pings', 'post_id' => $post->ID ));
			
			if(!empty($ping_entries)){
			echo "<h2 class='title pingbacklist'><span>".esc_html__('Trackbacks &amp; Pingbacks','wythe')."</span></h2>";
			?>
			
			<ol class="pingbacklist">
				<?php
					/* 
					 * Loop through and list the pingbacks and trackbacks. 
					 */
					wp_list_comments( array( 'type'=> 'pings', 'callback' => 'wythe_comment', 'reverse_top_level'=>true ) );
				?>
			</ol>
			<?php } ?>
		<div class="navigation">
			<div class="next-posts"><?php previous_comments_link() ?></div>
			<?php paginate_comments_links(); ?> 
			<div class="prev-posts"><?php next_comments_link() ?></div>
		</div>
		
	 <?php else : // this is displayed if there are no comments so far ?>
	
		<?php if ( comments_open() ) : ?>
			<!-- If comments are open, but there are no comments. -->
	
		 <?php else : // comments are closed ?>
			<p class="hidden"><?php esc_html_e('Comments are closed.', 'wythe'); ?></p>
	
		<?php endif; ?>
		
	<?php endif; ?>
		
		
<?php if ( comments_open() ) : ?>

	<?php

		$req = get_option( 'require_name_email' );
		$aria_req = ( $req ? " aria-required='true'" : '' );

		//Custom Fields
		$fields =  array(
			'author'=> '<div id="respond-inputs"><input id="author" name="author" type="text" value="" placeholder="' . esc_html__('Name', 'wythe') . '" size="30"' . $aria_req . ' />',
			
			'email' => '<input id="email" name="email" type="email" value="" placeholder="' . esc_html__('Email', 'wythe') . '" size="30"' . $aria_req . ' />',
		);

		//Comment Form Args
        $comments_args = array(
			'fields' => $fields,
			'title_reply'=>esc_html__('Leave a reply', 'wythe'),
			'comment_field' => '<div id="respond-textarea"><textarea id="comment" name="comment" placeholder="'.esc_html__('Comment','wythe').'" aria-required="true" cols="58" rows="6" tabindex="4"></textarea></div>',
			'comment_notes_after' => '',
			'title_reply_before' => '<h3 id="reply-title" class="comment-reply-title">',
			'title_reply_after' => '</h3>',
			'comment_notes_before' => '',
			'logged_in_as' => '',
			'label_submit' => esc_html__('Post comment','wythe'),
			'class_submit' => 'button'
		);
		
		// Show Comment Form
		comment_form($comments_args); 
	?>


<?php endif; // if you delete this the sky will fall on your head ?>

</div>