<?php global $post; ?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<!-- Mobile Specific Metas & Favicons -->
	<?php if( get_theme_mod('asw_responsiveness', true) ) { ?>
	<meta name="viewport" content="initial-scale=1.0">
	<?php } ?>
	<?php do_action('wythe_header_meta'); ?>
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php if(get_theme_mod('asw_page_loading', true) == true ){ ?>
	<div class="page-loading">
		<div class="three-bounce">
		  <div class="one"></div>
		  <div class="two"></div>
		  <div class="three"></div>
		</div>
	</div>
<?php } ?>
<div id="header-main">
<?php get_template_part('templates/headers/header', get_theme_mod('asw_header_version','version1')); ?>
</div>
			