<?php get_header('portfolio'); ?>

<div id="page-wrap">
	<div id="content">
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			
		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		
			<div class="entry">

				<?php the_content(); ?>

				<?php wp_link_pages(array('before' => 'Pages: ', 'next_or_number' => 'number')); ?>

			</div>

		<?php 
		$next_post = get_next_post();
		$prev_post = get_previous_post();
		$text = esc_html__('next', 'wythe');
		if (empty( $next_post )){
			$text = esc_html__('This is', 'wythe');
		}
		?>
		</article>
		
		<?php //comments_template(); ?>

		<?php endwhile; 
		endif; ?>

	</div> <!-- end content -->
	<!-- Start ProjectsPagination Section -->
	<?php if(get_theme_mod('asw_portfolio_pagination', 'single') == 'single') {?>
	<section id="projects-pagination">
		<a href="<?php if(isset($next_post->ID)) { echo esc_url( get_permalink( $next_post->ID ) ); } else { echo "javascript:void(0)"; } ?>" class="project-pagin project-next" data-scrolled-into-view>
			<div class="container">
				<div class="row">
					<div class="span12">
						<span class="subtitle"><?php echo esc_html($text); ?></span>
						<h3 class="project-title"><?php if(isset($next_post->post_title)) { echo esc_attr( $next_post->post_title ); } else { esc_html_e('Last item', 'wythe'); } ?></h3>
					</div>
				</div>
			</div>
		</a>
	</section>
	<?php } elseif (get_theme_mod('asw_portfolio_pagination', 'single') == 'double') {?>
	<div class="flex-navigation-wrapper">
		<?php if(!empty($prev_post) ) {?>
		<section id="projects-pagination">
			<a href="<?php if(isset($prev_post->ID)) { echo esc_url( get_permalink( $prev_post->ID ) ); } ?>" class="project-pagin project-next" data-scrolled-into-view>
				<div class="container">
					<div class="row">
						<div class="span12">
							<span class="subtitle"><?php echo esc_html__('Previous', 'wythe'); ?></span>
							<h3 class="project-title"><?php if(isset($prev_post->post_title)) { echo esc_attr( $prev_post->post_title ); } ?></h3>
						</div>
					</div>
				</div>
			</a>
		</section>
		<?php } ?>
		<?php if(!empty($next_post) ) {?>
		<section id="projects-pagination" class="next">
			<a href="<?php if(isset($next_post->ID)) { echo esc_url( get_permalink( $next_post->ID ) ); } ?>" class="project-pagin project-next" data-scrolled-into-view>
				<div class="container">
					<div class="row">
						<div class="span12">
							<span class="subtitle"><?php echo esc_html__('Next', 'wythe'); ?></span>
							<h3 class="project-title"><?php if(isset($next_post->post_title)) { echo esc_attr( $next_post->post_title ); } ?></h3>
						</div>
					</div>
				</div>
			</a>
		</section>
		<?php } ?>
	</div>
	<?php } ?>
<!-- End ProjectsPagination Section -->
</div> <!-- end page-wrap -->
	
<?php get_footer('blank'); ?>
