<?php
	$header_style = null !== get_post_meta( get_the_ID(), 'asw_portfolio_header_color', true ) ?  get_post_meta( get_the_ID(), 'asw_portfolio_header_color', true ) : '';
?>
<header id="header" class="<?php if(get_theme_mod('asw_header_fixed', 'false') == 'true') echo 'fixed '; echo $header_style; ?>">
	<div class="container">
		<div class="span12">
				<div class="my-table">
					<div class="my-tr">
						<div class="my-td">
							<a href="<?php echo esc_url(home_url('/')); ?>" class="menu-button-back-home"><i class="ion-ios-arrow-left"></i></a>
						</div>
						<div class="my-td my-td-right">
							<a href="javascript:void(0);" class="menu-button-open">
								<span class="line1"></span>
								<span class="line2"></span>
								<span class="line3"></span>
							</a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</header>
<!-- Begin Menu Lightbox -->
<div class="menu-lightbox">
	<header id="lightbox-header">
		<div class="container">
			<div class="span12">
				<div class="my-table">
					<div class="my-tr">
						<div class="my-td">
							<div class="logo">
								<?php if(get_theme_mod('asw_media_logo_light','') != "") { ?>
									<a href="<?php echo esc_url(home_url('/')); ?>" class="logo_light"><img src="<?php echo esc_url(get_theme_mod('asw_media_logo_light')); ?>" alt="<?php echo esc_attr(get_bloginfo('name')); ?>" /></a>
								<?php } ?>
								<?php if(get_theme_mod('asw_media_logo_light','') == "" && get_theme_mod('asw_media_logo_dark','') == "") { ?>
									<a href="<?php echo esc_url(home_url('/')); ?>" class="logo_standard"><h1 class="logo-text"><?php echo esc_html( get_bloginfo( 'name' ) ); ?></h1></a>
								<?php } ?>
							</div>
						</div>
						<div class="my-td">
							<a href="#" class="menu-button-close"><span class="line1"></span><span class="line2"></span></a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</header>
	<div class="dtable">
		<div class="dtcell">
			<!-- Start Menu -->
			<?php if( has_nav_menu( 'main_navigation' ) ) { ?>
				<nav id="lightbox-navigation">
					<ul id="menu" class="menu">
						<?php wp_nav_menu(array('theme_location' => 'main_navigation', 'container' => false, 'menu_id' => 'nav', 'items_wrap'=>'%3$s', 'fallback_cb' => false)); ?>
					</ul>
				</nav>
			<?php } ?>
			<!-- End Menu -->
		</div>
	</div>
	<footer id="lightbox-footer">
		<div class="container">
			<div class="span12">
				<div class="copyright"><?php echo esc_html(get_theme_mod('asw_header_copyright', '&copy; 2018 Wythe')); ?></div>
				<?php get_template_part('socials'); ?>
			</div>
		</div>
	</footer>
</div>
<!-- End Menu Lightbox -->