<?php
$item_style = null !== get_post_meta( get_the_ID(), 'asw_portfolio_title_color', true ) ?  get_post_meta( get_the_ID(), 'asw_portfolio_title_color', true ) : '';
$item_width = null !== get_post_meta( get_the_ID(), 'asw_portfolio_width', true ) ?  get_post_meta( get_the_ID(), 'asw_portfolio_width', true ) : '';
$portfolio_thumbnail= wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'medium' );
$out = '';
$out .= '<div class="portfolio-item '.esc_attr($item_style).' '.esc_attr($item_width).'" data-scrolled-into-view="true"><!-- start portfolio item -->';
	$out .= '<div class="portfolio-meta"><!-- start portfolio meta -->';
		if(function_exists('getPostLikeLink')) { $out .= getPostLikeLink($post->ID); }
		$out .= '<div class="time">'.get_the_date( 'd.m.Y' ).'</div>';
		$out .= '<a href="'. esc_url(get_permalink()) .'" class="portfolio-item-more"><i class="ion-ios-arrow-right"></i></a>';
	$out .= '</div><!-- end portfolio meta -->';
	$out .= '<header class="portfolio-header"><!-- start portfolio header -->';
		$out .= '<div class="portfolio-item-title">';
			$terms = get_the_terms( $post->ID, 'portfolio_filter' );
			if ( $terms && !is_wp_error( $terms ) ) {
				$terms_out = array();
				$out .= '<div class="meta-categories">';
				foreach ( $terms as $term )
					$terms_out[] = '<a href="' .esc_url(get_term_link($term->slug, 'portfolio_filter') ).'">'.esc_html($term->name).'</a>';
				$out.= join( ', ', $terms_out );
				$out .= '</div><!-- portfolio categories -->';
			}
			$out .= '<h3>'. esc_html(get_the_title()) .'</h3> <!-- portfolio title -->';
		$out .= '</div>';
		if(has_post_thumbnail()){
			$out .= '<a href="'. esc_url(get_permalink()) .'" title="'. esc_html(get_the_title()) .'">';
				$out .= '<figure class="portfolio-img"><img class="featured-image" src="'.esc_url($portfolio_thumbnail[0]).'" width="'.esc_attr($portfolio_thumbnail[1]).'" height="'.esc_attr($portfolio_thumbnail[2]).'" alt="'. esc_html(get_the_title()) .'"/></figure><!-- portfolio featured image -->';
			$out .= '</a>';
		}
	$out .= '</header><!-- end portfolio header -->';
$out .= '</div><!-- end portfolio item -->';
echo $out;
?>