<?php

$thumbnail= wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' ); 
$terms = get_the_category();
$categories = '';
if ( ! empty($terms) ) {
	$terms_out = array();
	$categories = '<div class="meta-categories">';
	$i = 0;
	foreach ( $terms as $term ){
			$terms_out[] = '<a href="' .esc_url(get_category_link( $term->term_id ) ).'">'.esc_html($term->name).'</a>';
			if (++$i == 3) break;
		}
		$categories .= join( ', ', $terms_out );
		$categories .= '</div>';
	} else {
		$categories = '<div class="meta-categories">&nbsp;</div>';
	}
?>
<div class="blog-item mb40">
	<figure class="post-img"><?php the_post_thumbnail('medium'); ?><div class="overlay-img"></div></figure>
	<?php echo $categories; ?>
	<h3 class="blog-item-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
	<a href="<?php the_permalink(); ?>" class="blog-item-more"><?php esc_html_e('Read more', 'wythe'); ?></a>
</div><!-- end div .blog-item -->